function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import componentGroups from "../../docs-utils/componentGroups";
import componentCategories from "../../docs-utils/componentCategories";
import TreeViewerBehaviour, { TreeItemBehaviour } from "./TreeViewer.behaviour";
import TreeViewerSkeleton, { TreeItemSkeleton } from "./TreeViewer.skeleton";
export default function TreeViewer(props) {
  return /*#__PURE__*/React.createElement(TreeViewerBehaviour, _extends({}, props, {
    renderComponent: TreeViewerSkeleton
  }));
}
export function TreeItem(props) {
  return /*#__PURE__*/React.createElement(TreeItemBehaviour, _extends({}, props, {
    renderComponent: TreeItemSkeleton
  }));
}

if (false) {
  TreeViewer.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}